/* csaStopwatch.h
 */
#ifndef GAME_PLAYING_CSASTOPWATCH_H
#define GAME_PLAYING_CSASTOPWATCH_H

#include <sys/time.h>

namespace osl
{
  namespace game_playing
  {
    class CsaStopwatch
    {
      timeval start;
    public:
      CsaStopwatch()
      {
	gettimeofday(&start, 0);
      }
      int read() {
	timeval current;
	gettimeofday(&current, 0);
	int ret = current.tv_sec - start.tv_sec;
	if (current.tv_usec < start.tv_usec) 
	  --ret;
	if (ret == 0) 
	  ret = 1;
	return ret;
      }
    };
  } // namespace game_playing
} // namespace osl


#endif /* GAME_PLAYING_CSASTOPWATCH_H */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
