#include "osl/move_generator/escape_.h"
#include "osl/move_generator/escape_.tcc"
#include "osl/move_generator/pieceOnBoard.tcc"
#if 0
#  include "osl/move_action/checkFilter.h"
#endif
#ifdef NDEBUG
# include "osl/move_generator/capture_.tcc"
#endif
#include "osl/state/numEffectState.h"

void osl::GenerateEscapeKing::generate(const NumEffectState& state, MoveVector& out)
{
  typedef move_action::Store store_t;
  store_t store(out);
  const Piece king =state.getKingPiece(state.getTurn());
  move_generator::GenerateEscapeOfTurn::generate(state, king, store);
}

namespace osl
{
  // explicit template instantiation
  namespace move_generator
  {
    template struct Escape<BLACK, move_action::Store,false>;
    template struct Escape<WHITE, move_action::Store,false>;
    template struct Escape<BLACK, move_action::Store,true>;
    template struct Escape<WHITE, move_action::Store,true>;
  } // namespace move_generator
} // namespace osl
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
