#include "osl/move_generator/open.h"
#include "osl/move_generator/open.tcc"
#include "osl/move_action/store.h"
#include "osl/move_action/safeFilter.h"
#include "osl/state/simpleState.h"
#include "osl/state/numEffectState.h"

namespace osl
{
  // explicit template instantiation
  template void move_generator::GenerateOpen::generate
  (Player, const NumEffectState&, Piece, move_action::Store&,
   Position, Direction);

  template void move_generator::Open<BLACK>::generate
  (const NumEffectState&, Piece,
   move_action::SafeFilter<BLACK,move_action::Store>&,
   Position,Direction);
  template void move_generator::Open<WHITE>::generate
  (const NumEffectState&, Piece,
   move_action::SafeFilter<WHITE,move_action::Store>&,
   Position,Direction);

  template void move_generator::Open<BLACK>::generate<move_action::Store>(NumEffectState const&, Piece, move_action::Store&, Position, Direction);
  template void move_generator::Open<WHITE>::generate<move_action::Store>(NumEffectState const&, Piece, move_action::Store&, Position, Direction);
}

// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
