/* pieceStandIO.cc
 */
#include "osl/pieceStandIO.h"
#include "osl/pieceStand.h"
#include <iostream>

std::ostream& osl::
PieceStandIO::writeNumbers(std::ostream& os, const PieceStand& stand)
{
  for (unsigned int i=0; i<PieceStand::order.size(); ++i)
  {
    const Ptype ptype = PieceStand::order[i];
    os << stand.get(ptype) << " ";
  }
  return os;
}
std::istream& osl::
PieceStandIO::readNumbers(std::istream& is, PieceStand& stand)
{
  stand  = PieceStand();
  for (unsigned int i=0; i<PieceStand::order.size(); ++i)
  {
    const Ptype ptype = PieceStand::order[i];
    int val;
    if (is >> val) 
      stand.add(ptype, val);
  }
  return is;
}

/* ------------------------------------------------------------------------- */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
