#include "osl/container/moveVector.h"
#include <algorithm>
#include <iostream>

std::ostream& osl::container::operator<<(std::ostream& os,MoveVector const& mv)
{
  os<< "MoveVector" << std::endl;
  for(size_t i=0; i<mv.size(); i++){
    os << mv[i] << std::endl;
  }
  return os<<std::endl;
}
bool osl::container::operator<(const MoveVector& l, const MoveVector& r)
{ 
  return std::lexicographical_compare(l.begin(), l.end(),
				      r.begin(), r.end()); 
}

// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
