/* quiescenceSearch2.cc
 */
#include "osl/search/quiescenceSearch2.h"
#include "osl/search/quiescenceSearch2.tcc"
#include "osl/checkmate/dualCheckmateSearcher.h"
#include "osl/eval/progressEval.h"
#include "osl/eval/ml/testEval.h"

namespace osl
{
#ifndef MINIMAL
  template class search::QuiescenceSearch2<eval::ProgressEval>;

  template int search::QuiescenceSearch2<eval::ProgressEval>::searchProbCut<BLACK>(int, int, eval::ProgressEval&, Move);
  template int search::QuiescenceSearch2<eval::ProgressEval>::searchProbCut<WHITE>(int, int, eval::ProgressEval&, Move);
#endif
  template class search::QuiescenceSearch2<eval::ml::TestEval>;

  template int search::QuiescenceSearch2<eval::ml::TestEval>::searchProbCut<BLACK>(int, int, eval::ml::TestEval&, Move);
  template int search::QuiescenceSearch2<eval::ml::TestEval>::searchProbCut<WHITE>(int, int, eval::ml::TestEval&, Move);
}

// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:


/* ------------------------------------------------------------------------- */
